## visad.data.hdfeos
Class HdfeosFile

    java.lang.Object
      visad.data.hdfeos.HdfeosFile

public class HdfeosFile
extends Object

Field Summary
`(package private) static Vector` `openedFiles`

Constructor Summary
`(package private)` `HdfeosFile(String filename)`

Method Summary
`void` `close()`
`static void` `closeAll()`
`String` `getFileName()`
`int` `getNumberOfStructs()`
`EosStruct` `getStruct(int ii)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### openedFiles

    static Vector openedFiles

Constructor Detail

### HdfeosFile

    HdfeosFile(String filename)
         throws HdfeosException

Method Detail

### getNumberOfStructs

    public int getNumberOfStructs()

### getStruct

    public EosStruct getStruct(int ii)

### getFileName

    public String getFileName()

### close

    public void close()
               throws HdfeosException

  Throws:
    `HdfeosException`

### closeAll

    public static void closeAll()
                         throws HdfeosException

  Throws:
    `HdfeosException`